## pytest-tornado 0.8.0

=== Makefile ===
.PHONY: build clean upload test-upload

default: build

build:
	python setup.py sdist bdist_wheel

clean:
	rm -rf build dist *.egg-info

upload: clean build
	twine upload dist/*

test-upload: clean build
	twine upload -r pypitest dist/*

## pytest-tornado 0.4.4

=== debian/changelog ===
pytest-tornado (0.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #792919)

 -- Daniel Stender <debian@danielstender.com>  Mon, 20 Jul 2015 09:21:41 +0200

=== debian/control ===
Source: pytest-tornado
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python-pytest,
 python-tornado,
 python3-all,
 python3-setuptools,
 python3-pytest,
 python3-tornado,
 pandoc
Standards-Version: 3.9.6
Homepage: https://github.com/eugeniy/pytest-tornado
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-tornado.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/pytest-tornado.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest

Package: python-pytest-tornado
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: py.test plugin to test Tornado applications
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 2 code.

Package: python3-pytest-tornado
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: py.test plugin to test Tornado applications (Python 3)
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pytest-tornado

# block the net precautionary
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs -A .pybuild/README

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v(\d[\d\.]+)\.tar\.gz/pytest-tornado-$1.tar.gz/" \
https://github.com/eugeniy/pytest-tornado/releases (?:.*/)?v(\d[\d\.]+)\.tar\.gz

## pytest-tornado 0.4.5

=== debian/changelog ===
pytest-tornado (0.4.5-2) unstable; urgency=medium

  * Orphan package:
    + put Debian QA in Maintainer field, drop Uploaders.

  * drop git-dpm regime (remove deb/.git-dpm).
  * deb/gbp.conf:
    + add sign-tags.
    + change debian-branch to meet DEP-14.
  * deb/copyright:
    + expand copyright span.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 17:20:37 +0100

pytest-tornado (0.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Updated maintainer email address.
  * deb/control:
    + put group in Maintainer field (unconfirmed group uploads).
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
  * deb/copyright: updated (and corrected) copyright spans.
  * deb/rules: dropped net blocking (Pybuild takes care of that).
  * Added deb/source/options (ignore egg-info).

 -- Daniel Stender <stender@debian.org>  Sun, 06 Mar 2016 23:03:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: pytest-tornado
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -16,10 +14,10 @@
  python3-pytest,
  python3-tornado,
  pandoc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/eugeniy/pytest-tornado
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pytest-tornado.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/pytest-tornado.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-tornado.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-tornado
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=pytest-tornado
-
-# block the net precautionary
-export http_proxy=http://127.0.0.1:9/
-export https_proxy=http://127.0.0.1:9/
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## pytest-tornado 0.5.0

=== debian/changelog ===
pytest-tornado (0.5.0-1) unstable; urgency=medium

  * New upstream release 0.5.0
  * Drop old d/p/0001.
  * Add d/p/0001 to replace a deprecated generator-based test by a
    parametrized one.
  * d/control:
    - Bump Standards-Version to 4.1.4. No change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 26 Apr 2018 11:57:14 +0200

pytest-tornado (0.4.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove Testsuite field, not needed anymore

  [ Pierre-Elliott Bécue ]
  * d/control:
    + Adopted the package.  Closes: #868847
    + wrap-and-sort-ed
    + Bump debhelper version dependency to 11~
    + Bump Standards-Version to 4.1.3
    + Drop X-Python(|3)-Version tags as they're unneeded
  * d/compat: bump compat level to 11
  * d/watch: use uscan special tags and bump bersion to 4
  * d/patches/: add patch 0001 to take into account the evolutions in tornado
    5.0.  Closes: #893293
  * d/copyright:
    + Add myself to debian/*

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 26 Mar 2018 10:12:33 +0200

=== debian/control ===
Source: pytest-tornado
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               pandoc,
               python-all,
               python-pytest,
               python-setuptools,
               python-tornado,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-tornado
Standards-Version: 4.1.4
Homepage: https://github.com/eugeniy/pytest-tornado
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-tornado.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-tornado

Package: python-pytest-tornado
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: py.test plugin to test Tornado applications
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 2 code.

Package: python3-pytest-tornado
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: py.test plugin to test Tornado applications (Python 3)
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 3 code.

## pytest-tornado 0.8.0

=== debian/changelog ===
pytest-tornado (0.8.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #937567).

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 03 Sep 2019 15:25:51 +0500

pytest-tornado (0.8.0-2) unstable; urgency=medium

  * Source-only release

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 16 Jul 2019 22:39:32 +0200

pytest-tornado (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0
    - No longer need d/patches
  * d/control:
    - Uploaders: replace my Crans' address by my Debian's one.
    - Bump Standards-Version to 4.4.0. No change required

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 14 Jul 2019 16:38:32 +0200

=== debian/control ===
Source: pytest-tornado
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               pandoc,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-tornado
Standards-Version: 4.4.0
Homepage: https://github.com/eugeniy/pytest-tornado
Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-tornado.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-tornado

Package: python3-pytest-tornado
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: py.test plugin to test Tornado applications (Python 3)
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 3 code.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=pytest-tornado
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:

## pytest-tornado 0.8.1

=== debian/changelog ===
pytest-tornado (0.8.1-4) unstable; urgency=medium

  * Team Upload
  * Trim d/rules with newer, shorter syntax
  * Replace "py.test" with "pytest" in description
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Oct 2025 12:44:14 +0100

pytest-tornado (0.8.1-3) unstable; urgency=medium

  * d/watch: Update the GitHub URL

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 31 Oct 2022 22:47:17 +0100

pytest-tornado (0.8.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 22:05:39 -0400

pytest-tornado (0.8.1-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 0.8.1
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat to 13
    - Set Rules-Requires-Root to no
  * Fix d/tests/python3-pytest-tornado use of py3versions

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 26 May 2020 12:30:56 +0200

=== debian/control ===
Source: pytest-tornado
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Pierre-Elliott Bécue <peb@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pandoc,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-tornado,
Standards-Version: 4.7.2
Homepage: https://github.com/eugeniy/pytest-tornado
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-tornado.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-tornado

Package: python3-pytest-tornado
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: pytest plugin to test Tornado applications (Python 3)
 pytest-tornado is a plugin for the Pytest testing framework which
 provides fixtures and markers to simplify testing of Tornado applications
 (Python web framework and ansynchronous networking library).
 .
 This package contains the plugin for Python 3 code.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,11 @@
 export PYBUILD_NAME=pytest-tornado
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
 	# run tests after install bcs the plugin needs to get registered by setup.py/entry_points

=== debian/tests/control ===
Tests:
 python3-pytest-tornado,
Depends:
 python3-all,
 python3-pytest,
 python3-tornado,
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: eugeniy
Project: pytest-tornado
